Profile Enrichment

The Bank List feature allows you to view and select from a comprehensive list of banks for performing transactions.

Whether you're adding a new beneficiary, transferring funds, or verifying details, this list ensures you can easily find the bank and corresponding information such as IFSC codes.

It simplifies the process of selecting the right bank, ensuring your transactions are routed correctly to the intended financial institution.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Parameter NameTypeRequirementDescription
nameStringMandatoryName of the user
mobileNumberStringMandatoryMobile number of the user.
taxIdNumberStringMandatoryPAN number
inquiryPurposeCodeStringMandatoryCheck the below table for purpose code details
latitudeStringMandatoryLatitude of the transaction
longitudeStringMandatoryLongitude of the transaction
externalRefStringMandatoryUnique transaction ID

Sample Request

curl --location 'https://api.instantpay.in/identity/fetchProfile' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip:  {{endpointIp}}' \
--header 'X-Ipay-Auth-Code: 1' \
--data '{
    "name": "Instantpay",
    "mobileNumber": "9876543210",
    "inquiryPurposeCode": "01",
    "taxIdNumber": "AJJPS0032N",
    "latitude": "11.10",
    "longitude": "26.91",
    "externalRef": "1769750452"
}'
POST /identity/fetchProfile HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip:  {{endpointIp}}
X-Ipay-Auth-Code: 1
Content-Length: 212

{
    "name": "SHAHBAZ ALI",
    "mobileNumber": "9835799007",
    "inquiryPurposeCode": "01",
    "taxIdNumber": "AJJPS0032N",
    "latitude": "11.10",
    "longitude": "26.91",
    "externalRef": "1769750452"
}

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "preFillData": {
            "userFullName": "PARAMJIT SINGH",
            "userFirstName": "PARAMJIT",
            "userMiddleName": "SINGH",
            "userLastName": "",
            "userGender": "F",
            "userDob": "01-01-1975",
            "userAge": "51",
            "totalIncome": "50001",
            "panNumber": "AJJPS0032N",
            "voterIdNumber": "JJG1748623",
            "aadhaarNumber": "XXXXXXXXXXXX",
            "addressFull": "W/O PALANISAMY M 9843592974 8/840 A KARUPPARAN NAGAR  MUMMOORTHI NAGAR  POOLUVAPATTI TIRUPUR",
            "addressState": "TN",
            "addressPostal": "641602",
            "mobileNumber": "919843592974",
            "addressList": [
                {
                    "fullAddress": "W/O PALANISAMY M 9843592974 8/840 A KARUPPARAN NAGAR  MUMMOORTHI NAGAR  POOLUVAPATTI TIRUPUR",
                    "state": "TN",
                    "postalCode": "641602"
                },
                {
                    "fullAddress": "VILLAGE ASMAN RANDHAWA PO MASTE KE TEH AND DISTT FEROZEUMMOORTHI NAGAR  POOLUVAPATTI TIRUPUR",
                    "state": "TN",
                    "postalCode": "641602"
                },
                {
                    "fullAddress": "W/O PALANISAMY M 9843592974 8/840 A KARUPPARAN NAGAR  TIRUPUR",
                    "state": "TN",
                    "postalCode": "641602"
                }
            ],
            "phoneList": [
                {
                    "type": "M",
                    "number": "9463348097"
                },
                {
                    "type": "M",
                    "number": "919843592974"
                }
            ]
        },
        "poolReferenceId": "1260130052816KPTXJ",
        "pool": {
            "openingBal": "99925439.30",
            "mode": "DR",
            "amount": "4.72",
            "closingBal": "99925434.58"
        }
    },
    "timestamp": "2026-01-30 10:58:16",
    "ipay_uuid": "h000a0f53958-218b-45a8-86dc-ea1c7bbf1162-dTAEjqkNxtHu",
    "orderid": "1260130052816KPTXJ",
    "environment": "SANDBOX",
    "internalCode": null
}












Message Ravi gahalout




Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json